## org.jvnet.hudson.reactor
Class ReactorListener.Aggregator

    java.lang.Object
      org.jvnet.hudson.reactor.ReactorListener.Aggregator

All Implemented Interfaces:
  ReactorListener

Enclosing interface:
  ReactorListener

    public static class ReactorListener.Aggregator

extends java.lang.Object
implements ReactorListener

Bundles multiple listeners into one.

Nested Class Summary

Nested classes/interfaces inherited from interface org.jvnet.hudson.reactor.ReactorListener
`ReactorListener.Aggregator`

Field Summary

Fields inherited from interface org.jvnet.hudson.reactor.ReactorListener
`NOOP`

Constructor Summary
`ReactorListener.Aggregator(java.util.Collection<ReactorListener> listeners)`

Method Summary
`void` `onAttained(Milestone milestone)` Indicates that the following milestone was attained.
`void` `onTaskCompleted(Task t)` Notifies that the execution of the task is about to finish.
`void` `onTaskFailed(Task t, java.lang.Throwable err, boolean fatal)` Notifies that the execution of the task have failed with an exception.
`void` `onTaskStarted(Task t)` Notifies that the execution of the task is about to start.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReactorListener.Aggregator

    public ReactorListener.Aggregator(java.util.Collection<ReactorListener> listeners)

Method Detail

### onTaskStarted

    public void onTaskStarted(Task t)

  Description copied from interface: `ReactorListener`
  Notifies that the execution of the task is about to start.

  Specified by:
    `onTaskStarted` in interface `ReactorListener`

### onTaskCompleted

    public void onTaskCompleted(Task t)

  Description copied from interface: `ReactorListener`
  Notifies that the execution of the task is about to finish. This happens on the same thread that called `ReactorListener.onTaskStarted(Task)`.

  Specified by:
    `onTaskCompleted` in interface `ReactorListener`

### onTaskFailed

    public void onTaskFailed(Task t,
                             java.lang.Throwable err,
                             boolean fatal)

  Description copied from interface: `ReactorListener`
  Notifies that the execution of the task have failed with an exception.

  Specified by:
    `onTaskFailed` in interface `ReactorListener`
    `err` - Either `Error` or `Exception`, indicating the cause of the failure.
    `fatal` - If true, this problem is fatal, and the reactor is going to terminate. If false, the reactor will continue executing after this failure.

### onAttained

    public void onAttained(Milestone milestone)

  Description copied from interface: `ReactorListener`
  Indicates that the following milestone was attained.

  Specified by:
    `onAttained` in interface `ReactorListener`

Copyright © 2011. All Rights Reserved.